package com.chenyang.druid.sql.dialect.gauss.ast.stmt;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.statement.SQLCreateIndexStatement;
import com.chenyang.druid.sql.ast.statement.SQLUpdateSetItem;
import com.chenyang.druid.sql.dialect.gauss.ast.GaussSQLIndexSpec;
import com.chenyang.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class GaussCreateIndexStatement extends SQLCreateIndexStatement {
   private ArrayList<GaussSQLIndexSpec> specList = new ArrayList();
   private List<SQLUpdateSetItem> withList = new ArrayList();

   public GaussCreateIndexStatement(DbType dbType) {
      super(dbType);
   }

   public ArrayList<GaussSQLIndexSpec> getSpecList() {
      return this.specList;
   }

   public void setSpecList(ArrayList<GaussSQLIndexSpec> specList) {
      this.specList = specList;
   }

   public List<SQLUpdateSetItem> getWithList() {
      return this.withList;
   }

   public void setWithList(List<SQLUpdateSetItem> withList) {
      this.withList = withList;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public void accept0(GaussASTVisitor visitor) {
      visitor.visit(this);
   }
}
